singularity(1)

NAME

singularity - Linux container platform optimized for High Performance Computing (HPC) and Enterprise Performance Computing (EPC)

SYNOPSIS

singularity [global options...]

DESCRIPTION

Singularity containers provide an application virtualization layer enabling
  mobility of compute via both application and environment portability. With
  Singularity one is capable of building a root file system that runs on any
  other Linux system where Singularity is installed.

OPTIONS

-c, --config="/opt/singularity/etc/singularity/singularity.conf"
    specify a configuration file (for root or unprivileged installation only)

-d, --debug[=false]
    print debugging information (highest verbosity)

-h, --help[=false]
    help for singularity

--nocolor[=false]
    print without color output (default False)

-q, --quiet[=false]
    suppress normal output

-s, --silent[=false]
    only print errors

-v, --verbose[=false]
    print additional information

EXAMPLE
      $ singularity help <command> [<subcommand>]
      $ singularity help build
      $ singularity help instance start

SEE ALSO

singularity-build(1), singularity-cache(1), singularity-capability(1), singularity-config(1), singularity-data(1), singularity-delete(1), singularity-exec(1), singularity-inspect(1), singularity-instance(1), singularity-key(1), singularity-keyserver(1), singularity-oci(1), singularity-overlay(1), singularity-plugin(1), singularity-pull(1), singularity-push(1), singularity-registry(1), singularity-remote(1), singularity-run(1), singularity-run-help(1), singularity-search(1), singularity-shell(1), singularity-sif(1), singularity-sign(1), singularity-test(1), singularity-verify(1), singularity-version(1)

HISTORY

29-Oct-2024 Auto generated by spf13/cobra